Bug 25596 - "Overpayment refund" is not translatable
Summary: "Overpayment refund" is not translatable
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
: 25833 (view as bug list)
Depends on: 21727
Blocks: 14825
  Show dependency treegraph
 
Reported: 2020-05-23 21:55 UTC by Katrin Fischer
Modified: 2020-11-13 20:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25596: Identify overpayment refunds for translation (5.57 KB, patch)
2020-09-09 13:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25596: Identify overpayment refunds for translation (6.25 KB, patch)
2020-09-09 14:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25596: Identify overpayment refunds for translation (6.26 KB, patch)
2020-09-22 13:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25596: Identify overpayment refunds for translation (6.95 KB, patch)
2020-10-17 11:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25596: Identify overpayment refunds for translation (6.82 KB, patch)
2020-10-19 14:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25596: Identify overpayment refunds for translation (6.89 KB, patch)
2020-10-20 22:29 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-23 21:55:50 UTC
In some cases there might be a refund to the account to balance and overpayment. The description created is "Overpayment refund".

This string appears in the accounts table in the patron account and is currently not translatable.

Added by commit 11c4cd73e19586ea74a7ac5ba7c88989dd8c4f21
Bug 21727: Add handling for cases requireing patron refunds
Comment 1 Katrin Fischer 2020-06-29 14:21:55 UTC
*** Bug 25833 has been marked as a duplicate of this bug. ***
Comment 2 Martin Renvoize 2020-09-09 13:36:11 UTC
Created attachment 109794 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensure we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.
Comment 3 Martin Renvoize 2020-09-09 14:05:16 UTC
Created attachment 109818 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensure we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.
Comment 4 Martin Renvoize 2020-09-22 13:17:49 UTC
Created attachment 110551 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensure we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.
Comment 5 Martin Renvoize 2020-09-22 14:44:06 UTC
Test plan
1/ You'll need an overpayment refund to start...
1a/ Issue yourself and item and set the issue date early enough to create an overdue fine for at least 2 days worth of overdue fines
1b/ Run the overdues script to add the fines
1c/ As a patron, pay off the accruing fine
1d/ Return the item ensuring you backdate it at least a day
1e/ Check that there is an 'Overpayment refund' credit on the patrons account.
2/ Check that the overpayment string is translatable (i.e. it appears in the accounts include file)
Comment 6 Caroline Cyr La Rose 2020-10-16 18:09:02 UTC
Tried to test this, but I can't apply the patch
Comment 7 Katrin Fischer 2020-10-17 11:45:34 UTC
Created attachment 111940 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensure we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.

Test plan
1/ You'll need an overpayment refund to start...
1a/ Issue yourself and item and set the date due early enough
to create an overdue fine for at least 2 days worth of overdue fines
1b/ Run the fines.pl script to add the fines
1c/ As a patron, pay off the accruing fine
1d/ Return the item ensuring you backdate it at least a day
1e/ Check that there is an 'Overpayment refund' credit on the patrons account.
2/ Check that the overpayment string is translatable (i.e. it appears in the accounts include file)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2020-10-17 11:46:38 UTC
I've rebased and tested - wouldn't mind another sign-off :)
Comment 9 Caroline Cyr La Rose 2020-10-18 21:21:19 UTC
The string is added to the .po file.

However, when I have the patch on, and I try to backdate check in an item, it gives me a broken FK constraint...

1) Checkout an item to a patron with due date 2020/10/15
2) Run fines.pl
3) Pay fine
4) Checkin with backdate 2020/10/14

With patch, it gives me a software error; without patch, it works...
Comment 10 Martin Renvoize 2020-10-19 14:00:23 UTC
Created attachment 111992 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensures we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.

Test plan
1/ You'll need an overpayment refund to start...
1a/ Issue yourself and item and set the date due early enough
to create an overdue fine for at least 2 days worth of overdue fines
1b/ Run the fines.pl script to add the fines
1c/ As a patron, pay off the accruing fine
1d/ Return the item ensuring you backdate it at least a day
1e/ Check that there is an 'Overpayment refund' credit on the patrons
account.
2/ Check that the overpayment string is translatable (i.e. it appears in
the accounts include file)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Martin Renvoize 2020-10-19 14:44:27 UTC
Hmm, I'm struggling to replicate your error Caroline.. did you run the included database update?
Comment 12 Caroline Cyr La Rose 2020-10-20 21:44:21 UTC
(In reply to Martin Renvoize from comment #11)
> Hmm, I'm struggling to replicate your error Caroline.. did you run the
> included database update?

No, sorry. David Cook pointed this out to me. I was not able to come back and test since then (kohacon talks were too interesting!)
Comment 13 Caroline Cyr La Rose 2020-10-20 21:45:31 UTC
(In reply to Martin Renvoize from comment #11)
> Hmm, I'm struggling to replicate your error Caroline.. did you run the
> included database update?

In my defense, it was not in the test plan, hehe :P
Comment 14 Caroline Cyr La Rose 2020-10-20 22:29:06 UTC
Created attachment 112078 [details] [review]
Bug 25596: Identify overpayment refunds for translation

This patch ensures we can uniquely identify automatic overpayment refund
credits from the accountlines by introducing a new account credit type
and adding appropriate translations for the new code.

Test plan
1/ You'll need an overpayment refund to start...
1a/ Issue yourself and item and set the date due early enough
to create an overdue fine for at least 2 days worth of overdue fines
1b/ Run the fines.pl script to add the fines
1c/ As a patron, pay off the accruing fine
1d/ Return the item ensuring you backdate it at least a day
1e/ Check that there is an 'Overpayment refund' credit on the patrons
account.
2/ Check that the overpayment string is translatable (i.e. it appears in
the accounts include file)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 15 Jonathan Druart 2020-10-25 23:06:20 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 16 Lucas Gass 2020-11-13 20:46:15 UTC
does not apply cleanly to 20.05.x, no backport
Comment 17 Katrin Fischer 2020-11-13 20:54:38 UTC
Could you reconsider if this was rebased? 

Translation fixes can't be easily backported locally, especially since we support so many libraries with different languages.
Comment 18 Lucas Gass 2020-11-13 20:56:26 UTC
(In reply to Katrin Fischer from comment #17)
> Could you reconsider if this was rebased? 
> 
> Translation fixes can't be easily backported locally, especially since we
> support so many libraries with different languages.

Yes, I would be more than happy to. I just will not attempt to rebase this one myself, not comfortable doing so.